SDL_CloseAudioDevice(3)

NAME
SDL_CloseAudioDevice - Close a previously-opened audio device.

HEADER FILE
Defined in SDL3/SDL_audio.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_CloseAudioDevice(SDL_AudioDeviceID devid);

DESCRIPTION
The application should close open audio devices once they are no longer needed.

This function may block briefly while pending audio data is played by the hardware, so that applications don't drop the last buffer of data they supplied if terminating immediately afterwards.

FUNCTION PARAMETERS

devid
    an audio device id previously returned by SDL_OpenAudioDevice ().

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_OpenAudioDevice(3)